Bug 801352 - SELinux policy for OpenStack's new nova-cert service
SELinux policy for OpenStack's new nova-cert service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 05:46 EST by Mark McLoughlin
Modified: 2012-03-21 14:53 EDT (History)
13 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2012-03-08 05:46:40 EST
The nova-cert service was added to openstack-nova in Fedora 17.

It is currently running unconfined:

  $ ps -eZ | grep nova-cert
  system_u:system_r:initrc_t:s0    5707 ?        00:00:02 nova-cert
Comment 1 Miroslav Grepl 2012-03-08 08:48:47 EST
What does this service do?
Comment 2 Pádraig Brady 2012-03-08 09:12:49 EST
> What does this service do?

http://pkgs.fedoraproject.org/gitweb/?p=openstack-nova.git;a=commit;h=e278ec1
Comment 3 Miroslav Grepl 2012-03-09 08:00:48 EST
We added fixes to the latest policy -98 release which is available from koji. 

Could you test it?

Also please execute 

$ semodule -d unconfined

and test it. After testing execute

$ semodule -e unconfined
Comment 4 Fedora Update System 2012-03-19 13:54:34 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 5 Fedora Update System 2012-03-20 02:07:37 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-21 14:53:23 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.